# Generated from authentication_identifier_transposer-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name authentication_identifier_transposer

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: Rack Middleware transposing the authenticated identifier into something that is Soar SC friendly, this is to be used only when a Soar SC component is behind a gateway handling authentication
License: MIT
URL: https://gitlab.host-h.net/hetznerZA/authentication-identifier-transposer-rack-middleware
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 2.13
# BuildRequires: rubygem(rspec) < 3
# BuildRequires: rubygem(capybara) >= 2.1
# BuildRequires: rubygem(capybara) < 3
# BuildRequires: rubygem(capybara) >= 2.1.0
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(simplecov-rcov)
# BuildRequires: rubygem(simplecov-rcov) < 1
BuildArch: noarch

%description
Rack Middleware transposing the authenticated identifier for Soar SC.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/console
%{_bindir}/keypair-generator
%{_bindir}/rotate-configs
%{_bindir}/setup
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%{gem_instdir}/Dockerfile
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/authentication_identifier_transposer.gemspec
%doc %{gem_instdir}/docker-compose.yml
%{gem_instdir}/spec

%changelog
* Mon Apr 18 2022 mockbuilder - 1.0.0-1
- Initial package
